
QGIS Application - Bug report #12522

Raster layers sometimes not painted when zooming (>=2.4)

2015-04-06 11:10 PM - Sitansu Pattnaik

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20666

Description

While using the latest QGIS 2.8 ( 64 bit ) in Windows XP/7/8/8.1 in 6 laptops, I found that large ( 300+ mb Landsat with 6 band image

)raster images failed to redraw while I zoomed in/out or while panning. This behaviour was so random that I was forced to recommend 2.2

to all the users who are supported by my team.

It is not possible to use raster images for interpretation as the images do not appear when we zooming or panning. I have placed a video

where I have compared the behaviour in 2.8 vs 2.2. A raster and a vector are shown. You will be able to see that the raster disappears

randomly and does not redraw even if we pan or zoom. It reappears randomly. 

The same behaviour was seen even if the pyramids were present or absent.

Video Link : https://www.youtube.com/watch?v=Wjly6C445uE&#38;feature=youtu.be

I tested this in Macbook Pro with Qgis2.6 and I did not see this problem so it might be only seen in windows systems.

Related issues:

Related to QGIS Application - Bug report # 13155: A Multiband image(e.g. land... Closed 2015-07-25

History

#1 - 2015-04-06 11:44 PM - Matthias Kuhn

- Subject changed from Bug in rendering rasters in QGIS versions 2.4,2.6,2.8 to Raster layers not painted when zooming (>=2.4)

#2 - 2015-04-06 11:44 PM - Matthias Kuhn

- Subject changed from Raster layers not painted when zooming (>=2.4) to Raster layers sometimes not painted when zooming (>=2.4)

#3 - 2015-04-07 12:42 PM - Giovanni Manghi

if this didn't happened in previous qgis releases then the ticket should be tagged as blocker.

#4 - 2015-04-13 11:42 PM - Sitansu Pattnaik

This behaviour started after version 2.2. Many options were added under "rendering" and that broke the basic redrawing of rasters.

#5 - 2015-04-14 03:10 AM - Giovanni Manghi

- Category set to Rasters

- Status changed from Open to Feedback

Of course this seems a local issue or an issue with certain kind of rasters, because if it would be a general one it would have resulted in much more people
(me included) reporting it.

Have your rasters have pyramids? If yes, have you tried rebuild them? Can you attach a sample of a problematic raster?

#6 - 2015-05-07 01:45 PM - Luke Roth

- Target version set to Version 2.8.1

Just a note that I have this problem as well.  I've tried installing all of the released versions from 2.2 through 2.8.1 and only 2.2 is rendering correctly.  This

only occurs on one of my 2 PCs, the other can use 2.8.1 just fine.  Was there a change to the rendering system after 2.2 that would make it more sensitive

to different graphics cards / drivers?

Update:

Here are what I hope is relevant info about the machine where it is not working properly:

Windows 8.1 Pro (64 bit)

NVIDIA GeForce GTX 750, driver version 9.18.13.4788

#7 - 2015-05-07 07:56 PM - Sitansu Pattnaik

Well I conducted a training for close to 60 people last week. In that group about 20 people had this problem. I have started providing 2.2 with the latest

QGIS to ensure the participants can continue working with raster images.

#8 - 2015-05-07 09:49 PM - Sitansu Pattnaik

A sample image which caused the problem:

https://drive.google.com/file/d/0B_ZSxE5g2YppVV9DcTRnM2VCeVk/view?usp=sharing

I had created pyramids for some and then deleted them. That did not seem to change anything

#9 - 2015-05-10 12:46 AM - Giovanni Manghi

Sitansu Pattnaik wrote:

Well I conducted a training for close to 60 people last week. In that group about 20 people had this problem. I have started providing 2.2 with the

latest QGIS to ensure the participants can continue working with raster images.

what could have had in common that 20 computers/installations?

#10 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#11 - 2015-05-10 01:15 AM - Jürgen Fischer

- Target version changed from Version 2.8.2 to Future Release - High Priority

#12 - 2015-05-11 09:31 AM - Luke Roth

Another update with some more observations:
I completely uninstalled the Nvidia graphics drivers and the problem still occurred, so it does not seem to be related to a particular graphics driver.

Resizing the overview window will also make the raster in the overview disappear and reappear frequently.

I have tested both with and without pyramid layers, with / without render caching enabled, and with / without parallel rendering with no apparent change in

behaviour.

The raster drawing seems to draw the rescaled original view (i.e. when zooming out, the scaled-down version of the original view is shown in the middle of

the window) and then it disappears.

Is there any additional testing that I could do to help narrow down this issue?

#13 - 2015-05-12 02:44 AM - Sitansu Pattnaik

Giovanni Manghi wrote:

Sitansu Pattnaik wrote:

Well I conducted a training for close to 60 people last week. In that group about 20 people had this problem. I have started providing 2.2 with the

latest QGIS to ensure the participants can continue working with raster images.

what could have had in common that 20 computers/installations?

I tried to find out. The only common factor was that they had RAM of 3 or 4 GB and not more. But this is the common configuration Laptops which are

purchased by students in India.Most had Windows 7 but a few had XP and 8.1.

Sorry but I could not find anything definitive.

#14 - 2015-06-22 09:44 AM - Luke Roth

I think I've found something that might help in narrowing down the issue.  Based on some googling on the QT graphics system, I set the environment

variable QT_GRAPHICSSYSTEM=raster and it seems to have fixed the problem.  Could it be possible that there is an issue with the QT native painter and

some graphics cards / drivers?  In the meantime, setting this variable in the batch script that starts QGIS might be a workaround.

#15 - 2015-10-11 05:08 PM - Raul Nanclares

I'm having the same issue with my laptop, in W7 and W10 64 bits, with an ATI graphics card. This issue doesn't affect 4 bands images it only seems to

happen with 7-8 bands images (landsat 8, WV2 8 bands). The QT_GRAPHICSSYSTEM variable doesn't fix anything in my case. I've seen people with

different OS (including MAC) with the same issue, all laptops. RAM in my case is 8 GB so i would discard something related with RAM. This doesn't

happen in my desktop PC so i would think it's something related with laptops. What do all these laptops have in common? Maybe the Intel graphics card

(4000 or higher) included in i7 and i5 processors.

#16 - 2015-12-20 03:54 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

duplicate of #13155

#17 - 2016-01-20 12:37 AM - Nyall Dawson
Please test with tomorrow's nightly builds and confirm whether the possible fix has worked
